1. nick2181's Avatar
    Dear AndroidCenteral users,

    I am looking to downgrade from the Lollipop 5.0 back to the stock KitKat 4.4.2 that came with the phone. I am having a little bit of trouble finding out what the PDA # was, when I had the Android version 4.4.2. Here is my phone specs below.

    I went to Sammobile website and searched for SM-G900P to get the correct Firmware. I just don't know which PDA to pick.

    I tried "G900PVPU1AND2_G900PSPT1AND2_BST", flashing it with Odin3 v3.09. When I click Start on Odin3, the phone gave me this error.
    "SW REV CHECK FAIL : [about]Fused 3 > Binary 1"
    Odin3 replied back with FAIL!.

    I tried "G900PVPU1ANE5_G900PSPT1ANE5_SPR" (just to see) and it gave me the same error again.

    I thought maybe I was doing it wrong, so I went to flash it with the 5.0 Lollipop firmware from the site (G900PVPU3BOG1_G900PSPT3BOG1_BST) and that went thru so I know it works. The servers for these files are slow and is takes me about 2hrs to try each file.


    Phone: Samsung Galaxy S5 - white
    Carrier: Boost Mobile
    Model: SM-G900P
    Android Version: Lollipop 5.0
    Software Version: G900PVPU3B0G1
    Hardware Version: G900P.04
    Baseband Version: G900PVPU3B0G1
    Kernal Version: 3.4.0-4781399
    Build Number: LRX21T.G900PVPU3B0G1
    KNOX 2.3

    I became a member and posted my question here instead of the non-member way.
    Any help would be great, thank you
    Nick
    08-15-2015 11:39 PM
  2. ironass's Avatar
    Dear AndroidCenteral users,

    I am looking to downgrade from the Lollipop 5.0 back to the stock KitKat 4.4.2 that came with the phone. I am having a little bit of trouble finding out what the PDA # was, when I had the Android version 4.4.2. Here is my phone specs below.

    I went to Sammobile website and searched for SM-G900P to get the correct Firmware. I just don't know which PDA to pick.

    I tried "G900PVPU1AND2_G900PSPT1AND2_BST", flashing it with Odin3 v3.09. When I click Start on Odin3, the phone gave me this error.
    "SW REV CHECK FAIL : [about]Fused 3 > Binary 1"
    Odin3 replied back with FAIL!.

    I tried "G900PVPU1ANE5_G900PSPT1ANE5_SPR" (just to see) and it gave me the same error again.

    I thought maybe I was doing it wrong, so I went to flash it with the 5.0 Lollipop firmware from the site (G900PVPU3BOG1_G900PSPT3BOG1_BST) and that went thru so I know it works. The servers for these files are slow and is takes me about 2hrs to try each file.


    Phone: Samsung Galaxy S5 - white
    Carrier: Boost Mobile
    Model: SM-G900P
    Android Version: Lollipop 5.0
    Software Version: G900PVPU3B0G1
    Hardware Version: G900P.04
    Baseband Version: G900PVPU3B0G1
    Kernal Version: 3.4.0-4781399
    Build Number: LRX21T.G900PVPU3B0G1
    KNOX 2.3

    I became a member and posted my question here instead of the non-member way.
    Any help would be great, thank you
    Nick
    Hello and welcome to Android Central nick2181!

    The so-called Sprint model, G900P, is indeed a minefield for U.S. users as unlike all other U.S. models, with one model = one firmware, the G900P is a little like the international version, with one model = 200 different firmwares. In the case of Sprint, it is 4 firmwares... all with the same PDA code and CSC code.

    You will need to refer to #1.8 of 40 Galaxy S5 models - Dummies Guide and download Phone Info, free from the Play Store, to locate your Product code, last 3 letters, for your model. This will indicate the correct firmware you need to download and flash to your phone. The 4 Product Codes for Sprint are:- SPR, VMU, XAS and BST. I am guessing that it will be the latter that you need.

    If it does indeed turn out to be BST, then the firmware that the phone was launched with on Android 4.4.2 was...

    Model SM-G900P
    Model name GALAXY S5
    Country Unknown
    Version Android 4.4.2
    Changelist 964333
    Build date Sat, 05 Apr 2014 11:26:10 +0000
    Product code BST
    PDA G900PVPU1AND2
    CSC G900PSPT1AND2


    Be advised that downgrading your firmware will lose you any security updates/patches that have been introduced in recent firmwares.
    08-16-2015 06:21 AM
  3. nick2181's Avatar
    Thank you and will try it out. Reason why I am downgrading is Lollipop 5.0 will not root. I have applied the root via Odin3 and root checker says it is rooted, but none of the root applications work. Even all the applications before the upgrade to lollipop worked, but for some reason no matter what method I try, I can't get a rooted Lollipop 5.0 to work with any root app.

    I downloaded the Phone INFO app here is some details:
    Product Code: Not Active
    Original CSC Cdoe: BST
    Firmware's CSC Code: BST
    Active CSC Code: BST
    Available CSC Codes: BST, SPR, VMU, XAS
    CSC Country: USA/US

    Bootload Version: G900PVPU3B0G1
    PDA Version: G900PVBPU3B0G1
    CSC Version: G900PSPT3BOG1
    Baseband Version: G900PVPU3B0G1
    Lastest Firmware: Not Found
    Kernel Version: 3.4.0-478139

    I have tried the following Firmware versions without it working:
    KitKat 4.4.4
    G900PVPU1ANK4_G900PSPT1ANK4_BST

    KitKat 4.4.2
    G900PVPU1ANE5_G900PSPT1ANE5_BST
    G900PVPU1AND2_G900PSPT1AND2_BST
    G900PVPU1ANE5_G900PSPT1ANE5_SPR

    --------------------------------------------------------------------------------------------
    You stated:
    If it does indeed turn out to be BST, then the firmware that the phone was launched with on Android 4.4.2 was...

    Model SM-G900P
    Model name GALAXY S5
    Country Unknown
    Version Android 4.4.2
    Changelist 964333
    Build date Sat, 05 Apr 2014 11:26:10 +0000
    Product code BST
    PDA G900PVPU1AND2
    CSC G900PSPT1AND2
    --------------------------------------------
    That's the thing, the stock was 4.4.2 as I remember it, and it also shows it on the Boost Mobile website as 4.4.2. The new update is "BST", but the PDA: G900PVPU1AND2, CSC: G900PSPT1AND2 [BST] does not work.

    I am just staying with Lollipop 5.0 until there is a working root for this phone.

    Thank you
    nick
    08-16-2015 08:30 AM
  4. ironass's Avatar
    It depends if Sprint/Boost have revised their bootloader, which may mean that downgrading back to Android 4.4.2 is not possible.

    Depending on which rooting method you used, (I recommend CF-Auto Root), you should also have SuperSU installed, along with Busybox, that allows the use of root apps.
    08-16-2015 11:24 AM
  5. nick2181's Avatar
    It depends if Sprint/Boost have revised their bootloader, which may mean that downgrading back to Android 4.4.2 is not possible.

    Depending on which rooting method you used, (I recommend CF-Auto Root), you should also have SuperSU installed, along with Busybox, that allows the use of root apps.
    Yup I used the chainfire autoroot site and searched for the model sm-g900p. Flashed it with Odin3, downloaded SuperUS. Went into custom recovery to call the supersu zip file, then downloaded the busybox. Even went as far as to reflash the kernel via custom recovery.

    Restarted the phone, instalelled rootchecker. Said it was a successful root. Loaded GameKiller and it said "Can't find map key" root privileges are needed.

    It might just be a incompatibiliy with the app idk.
    08-16-2015 11:38 AM
  6. ironass's Avatar
    I am not familiar with Gamekiller but these videos may help you...





    08-16-2015 11:44 AM
  7. nick2181's Avatar
    I am not familiar with Gamekiller but these videos may help you...
    Just checked the videos, one was a HTC phone running Android 4.4.2. Other phone was running Android 4.4.2 as well. In the comments of the videos, it even says you can't run it on 5.0. Guess I have to wait until they make all the apps compatible with root 5.0.
    08-16-2015 12:02 PM
  8. jodihmm's Avatar
    Nick,

    Don't need to downgrade from lollipop to KitKat ....
    I've had issues to on how to root my lollipop 5.0 and finally figure it out. Now my Samsung Galaxy S5 Boost is totally rooted. .
    I have same cell as yours. Needed to dig deep and rooting my cell. Still trying to get use to having lollipop from KitKat 4.4.2 ....
    If you still need your cell rooted just let me know and I'll help you.


    Thank you, Jodi
    02-01-2016 09:40 PM

Similar Threads

  1. How can I downgrade to KitKat 4.4.2 from Lollipop 5.0?
    By AC Question in forum Ask a Question
    Replies: 1
    Last Post: 08-16-2015, 03:48 AM
  2. Replies: 1
    Last Post: 08-16-2015, 03:33 AM
  3. Unable To Change Lock Screen
    By LittleRedDot in forum LG G Pad 7.0
    Replies: 1
    Last Post: 08-15-2015, 10:48 PM
  4. Why does phone open to dialer and not home screen?
    By AC Question in forum Ask a Question
    Replies: 0
    Last Post: 08-15-2015, 10:45 PM
  5. How do I stop texts from going to draft messages?
    By AC Question in forum General Help and How To
    Replies: 0
    Last Post: 08-15-2015, 10:05 PM
LINK TO POST COPIED TO CLIPBOARD